

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='LINX_IO_MARCA') 
BEGIN
/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 20220614 
'Job.................:  
'Nome................: LINX_IO_MARCA
'Projeto............:  Commerce 
'Tabelas.............: 
'Dt Criação..........: 
'Dt Ult Alteracão....: 14/06/2022
'Alterado por........: Marcos Barros
'Criado por..........:    
'=======================================================================================
FARMAGOI-24164
*/
CREATE TABLE LINX_IO_MARCA(
  CD_MC		INT NOT NULL,
  DS_MC		VARCHAR(50) NOT NULL,
  CONSTRAINT [PK_LINX_IO_MARCA] PRIMARY KEY CLUSTERED(CD_MC ASC) 
);


ALTER TABLE LINX_IO_CLASS ADD CONSTRAINT FK_LINX_IO_CLASS_LINX_IO_DPTO FOREIGN KEY(CD_DPTO) REFERENCES LINX_IO_DPTO(CD_DPTO);

ALTER TABLE LINX_IO_CLASS ADD CONSTRAINT FK_LINX_IO_CLASS_LINX_IO_CATEG FOREIGN KEY(CD_CATEG) REFERENCES LINX_IO_CATEG(CD_CATEG);

ALTER TABLE LINX_IO_CLASS ADD CONSTRAINT FK_LINX_IO_CLASS_LINX_IO_SUB_CATEG FOREIGN KEY(CD_SUB_CATEG) REFERENCES LINX_IO_SUB_CATEG(CD_SUB_CATEG);

ALTER TABLE LINX_IO_CLASS ADD CONSTRAINT FK_LINX_IO_CLASS_LINX_IO_CD_MC FOREIGN KEY(CD_MC) REFERENCES LINX_IO_MARCA(CD_MC);
END